Page MenuHomePhabricator

[InterwikiIntegration] interwikiintegration-watchlist.sql : Error: 1071 Specified key was too long; max key length is 767 bytes
Closed, DeclinedPublic

Description

When running MySQL/MariaDB with charset utf8mb4, a character is 4 bytes. Hence a key created on a VARCHAR(255) takes 255 characters * 4 bytes/characters = 1020 bytes. However Innodb defaults to a maximum of 767 bytes for an index.

The extension fails to install on Debian Stretch which uses utf8mb4 as the default charset:

Query: CREATE UNIQUE INDEX integration_wl_user ON integration_watchlist (integration_wl_user, integration_wl_namespace, integration_wl_title, integration_wl_db )

Function: Wikimedia\Rdbms\Database::sourceFile( /workspace/src/extensions/InterwikiIntegration/interwikiintegration-watchlist.sql )
Error: 1071 Specified key was too long; max key length is 767 bytes (localhost:/tmp/quibble-mysql-y_7gguhv/socket)

Event Timeline

hashar created this task.May 1 2018, 7:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2018, 7:29 PM
Vvjjkkii renamed this task from [InterwikiIntegration] interwikiintegration-watchlist.sql : Error: 1071 Specified key was too long; max key length is 767 bytes to zudaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Mainframe98 renamed this task from zudaaaaaaa to [InterwikiIntegration] interwikiintegration-watchlist.sql : Error: 1071 Specified key was too long; max key length is 767 bytes.Jul 1 2018, 11:42 AM
Mainframe98 raised the priority of this task from High to Needs Triage.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added a subscriber: Aklapper.
Liuxinyu970226 closed this task as Declined.Feb 22 2019, 6:26 AM
Liuxinyu970226 added a subscriber: Liuxinyu970226.

@hashar This extension has been archived. It has been broken since MediaWiki 1.23 (released in 2014) and has zero usage according to WikiApiary.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptFeb 22 2019, 6:26 AM

And it has been archived ;)